Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » packages » uninstallAllPackages
next | previous | forward | backward | up | index | toc

# uninstallAllPackages

- Usage:
    `uninstallAllPackages()`
- Consequences:
  - the packages that have been installed in the user's application directory are uninstalled.

## See also

- installPackage -- load and install a package and its documentation
- installedPackages
- uninstallPackage -- uninstall a package and remove its documentation

## For the programmer

The object uninstallAllPackages is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/package-doc.m2:688:0.